
local LrApplication = import 'LrApplication'
local LrDialogs = import 'LrDialogs'
local LrTasks = import 'LrTasks'

LrTasks.startAsyncTask(function ()
  local catalog = LrApplication.activeCatalog()

  local photo = catalog:getTargetPhoto()
  if photo == nil then
    LrDialogs.message("RAWkys LensCrop", "Please select a photo")
    return
  end

  local wdt = photo:getRawMetadata("width")
  local foc = photo:getRawMetadata("focalLength")
  local focDX = photo:getRawMetadata("focalLength35mm")
  local cWdt = photo:getRawMetadata("croppedDimensions")["width"]
  foc = foc + 0
  wdt = wdt + 0
  cWdt = cWdt + 0
  local newFoc = math.floor(wdt / cWdt * foc)
  local newFocDX = math.floor(wdt / cWdt * focDX)
 
  if foc == focDX then
    LrDialogs.message("f="..foc.."mm, fc="..newFoc.."mm")
  else
    LrDialogs.message("f="..foc.."mm, fc="..newFoc.."mm (FX f="..focDX.."mm fc="..newFocDX.."mm)")
  end

end)
